Message Queue, v4.5.1 API Specification

## javax.jms
Interface ExceptionListener

    public interface ExceptionListener

If a JMS provider detects a serious problem with a `Connection` object, it informs the `Connection` object's `ExceptionListener`, if one has been registered. It does this by calling the listener's `onException` method, passing it a `JMSException` argument describing the problem.

An exception listener allows a client to be notified of a problem asynchronously. Some connections only consume messages, so they would have no other way to learn that their connection has failed.

A JMS provider should attempt to resolve connection problems itself before it notifies the client of them.

See Also:
  `Connection.setExceptionListener(ExceptionListener)`

Method Summary
`void` `onException(JMSException exception)` Notifies user of a JMS exception.

Method Detail

### onException

    void onException(JMSException exception)

  Notifies user of a JMS exception.

  Parameters:
    `exception` - the JMS exception

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.